.MovieCard {
    min-height: 300px;
    min-width: 200px;
    margin-right: 15px;
    color: white;
    cursor: pointer;
    transition: all .2s ease-in-out;
    flex: 0 0 calc(20% - 15px);
    padding: 0;
}

.MovieCard:hover {
    transform: scale(1.05);
    z-index: 9;
}

.DeleteBtn {
    display: none;
    position: absolute;
    color: red;
}

.MovieCard:hover .DeleteBtn {
    display: block;
    color: red;
}

.MovieCard:hover > .Overlay {
    width: 100%;
    height: 100%;
    position: absolute;
    background-color: #000;
    opacity: 0.8;
    display: flex;
    justify-content: center;
    align-items: center;
}